Skip to content
Developer Docs

Flow list

GET
/flow/v1/flows

Returns all of the business's collection flows. Primarily used for reconciliation, reporting and overall collections oversight.

Paginated. Supports filters by flow UUID, externalId, status, product label and creation/status-change date ranges. Results can be sorted by createdAt, statusUpdatedAt, flowUuid, externalId or status.

Autorizaciones

OAuth2

OAuth2 security scheme

clientCredentials Flow
Token URL"/api/v2/auth/token"
Scopes:
  • "zertiban-api"Access to the API

Parámetros

Header Parameters

x-tenant-id*

Tenant identifier that contains the business UUID

Tipo
string
Requerido

Query Parameters

limit

Page size

Tipo
integer
Mínimo
0
Máximo
100
Por defecto
10
offset

Zero-based offset

Tipo
integer
Mínimo
0
Por defecto
0
sort_by

Indicates the property to sort the result list (case insensitive)

Tipo
string
Valores válidos
"flowUuid""externalId""status""createdAt""statusUpdatedAt"
Formato
"string"
Por defecto
"createdAt"
sort_dir

Indicates the sort direction (case insensitive)

Tipo
string
Valores válidos
"ASC""DESC"
Formato
"string"
Por defecto
"DESC"
q_fromStatusUpdatedAt

Finds flows with 'statusUpdatedAt' after or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_toStatusUpdatedAt

Find flows 'statusUpdatedAt' before or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_fromCreatedAt

Find flows with 'createdAt' after or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_toCreatedAt

Find flows with 'createdAt' before or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_uuid

Filters flows by a UUID

Tipo
string
Ejemplo"12087dd4-336d-4c21-90e1-3dbd58f14f87"
Formato
"UUID v4"
q_externalId

Filters flows by external ID

Tipo
string
Ejemplo"my-external-id"
q_productLabelValue

Retrieves flows that have a label with name "product" and the specified value. Accepts multiple comma separated

Tipo
string
Ejemplo"whatever product label value"
q_status

Filters flows by Status. Accepts multiple comma separated

Tipo
array
Ejemplo"CREATED""COMPLETED"

Respuestas

Flow list

application/json
JSON
{
  
"results": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"externalId": "FLW-99881",
  
  
  
"status": "CREATED",
  
  
  
"createdAt": "2025-03-10T14:23:45Z",
  
  
  
"statusUpdatedAt": "2025-03-10T14:23:45Z",
  
  
  
"labels": [
  
  
  
  
{
  
  
  
  
  
"name": "my-label",
  
  
  
  
  
"value": "my-label-value"
  
  
  
  
}
  
  
  
],
  
  
  
"operationsCount": 1
  
  
}
  
],
  
"total": 0
}

Playground

Autorización
Headers
Variables
Key
Value

Ejemplos